/*
 * sample2.c
 *
 *  Created on: 2014/02/07
 *      Author: togashitoyohiko
 */

//
// Graphic drawing sample
//
#include <stdio.h>						// libc
#include "stm32f4_discovery.h"			// public
#include "lcd_draw.h"					// Private
#include "lcd_touch.h"					// Private


int main(void) {
	unsigned short		img[] = {//rrrr rggg gggb bbbb
			0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x8410, 0x8410, 0x8410, 0x8410, 0x8410, 0x8410, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000,
			0x0000, 0x0000, 0x0000, 0x8410, 0x8410, 0xc618, 0xc618, 0xc618, 0xc618, 0xc618, 0xc618, 0x8410, 0x8410, 0x0000, 0x0000, 0x0000,
			0x0000, 0x0000, 0x8410, 0xc618, 0xc618, 0xc618, 0xc618, 0xc618, 0xc618, 0xc618, 0xc618, 0xc618, 0xc618, 0x8410, 0x0000, 0x0000,
			0x0000, 0x8410, 0xc618, 0xc618, 0xc618, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xc618, 0xc618, 0xc618, 0x8410, 0x0000,
			0x0000, 0xc618, 0xc618, 0xc618, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xc618, 0xc618, 0xc618, 0x0000,
			0x8410, 0xc618, 0xc618, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xc618, 0xc618, 0x8410,
			0x8410, 0xc618, 0xc618, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xc618, 0xc618, 0x8410,
			0x8410, 0xc618, 0xc618, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xc618, 0xc618, 0x8410,
			0x8410, 0xc618, 0xc618, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xc618, 0xc618, 0x8410,
			0x4208, 0xc618, 0xc618, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xc618, 0xc618, 0x4208,
			0x4208, 0x8410, 0xc618, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xc618, 0x8410, 0x4208,
			0x0000, 0x4208, 0xc618, 0xc618, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xc618, 0xc618, 0x4208, 0x0000,
			0x0000, 0x4208, 0x8410, 0xc618, 0xc618, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xc618, 0xc618, 0x8410, 0x4208, 0x0000,
			0x0000, 0x0000, 0x4208, 0x8410, 0x8410, 0xc618, 0xc618, 0xc618, 0xc618, 0xc618, 0xc618, 0x8410, 0x8410, 0x4208, 0x0000, 0x0000,
			0x0000, 0x0000, 0x0000, 0x4208, 0x4208, 0x8410, 0x8410, 0x8410, 0x8410, 0x8410, 0x8410, 0x4208, 0x4208, 0x0000, 0x0000, 0x0000,
			0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x4208, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000,
	};
	short x,y;

	lcd_drawOpen();
	lcd_drawRect(0,0, 100,100, LCD_COLOR_BLUE);
	lcd_drawLine(0,0,  99, 99, 1, LCD_COLOR_RED);
	x = 110;
	for(y = 10; y < LCD_SCREEN_HEIGHT-16; y += 20){
		lcd_drawImage(x, y, 16,16, img);
		lcd_drawStr(x+20, y+3, LCD_COLOR_LIME, LCD_COLOR_BLACK, "Text string");
	}
	lcd_drawLine(0,99, 99,  0, 4, LCD_COLOR_LIME);

	for(;;){
		short f;
		short x;
		short y;

		f = lcd_touchPoint(&x, &y);

		if (f > 80) {
			lcd_drawRect(x, y, 5,5, LCD_COLOR_BLUE);
		} else if (f > 75) {
			lcd_drawRect(x, y, 5,5, LCD_COLOR_PURPLE);
		} else if (f > 70) {
			lcd_drawRect(x, y, 5,5, LCD_COLOR_MAGENTA);
		} else if (f > 65) {
			lcd_drawRect(x, y, 5,5, LCD_COLOR_PINK);
		} else if (f > 60) {
			lcd_drawRect(x, y, 5,5, LCD_COLOR_RED);
		} else if (f > 50) {
			lcd_drawRect(x, y, 5,5, LCD_COLOR_ORANGE);
		} else if (f > 40) {
			lcd_drawRect(x, y, 5,5, LCD_COLOR_GREEN);
		} else if (f > 20) {
			lcd_drawRect(x, y, 5,5, LCD_COLOR_CYAN);
		}

		if (f > 10) {
			if ((x < (LCD_SCREEN_WIDTH/5)) && (y > (LCD_SCREEN_HEIGHT-2))) {
				lcd_drawRect(0, 0, LCD_SCREEN_WIDTH,LCD_SCREEN_HEIGHT, LCD_COLOR_BLACK);
			}
			if ((x > (LCD_SCREEN_WIDTH-2)) && (y > (LCD_SCREEN_HEIGHT-2))) {
				long w;

				lcd_drawRect(0, 0, LCD_SCREEN_WIDTH,LCD_SCREEN_HEIGHT, LCD_COLOR_BLACK);
				printf("Calibration:\n");
				printf("Touch left-up corner\n");
				while(lcd_touchPoint(NULL, NULL) < 10);
				for(w = 0; w < 1000000; w++);
				lcd_touchCalibrate();
				while(lcd_touchPoint(NULL, NULL) > 0);

				printf("Touch right-up corner\n");
				while(lcd_touchPoint(NULL, NULL) < 10);
				for(w = 0; w < 1000000; w++);
				lcd_touchCalibrate();
				while(lcd_touchPoint(NULL, NULL) > 0);

				printf("Touch left-down corner\n");
				while(lcd_touchPoint(NULL, NULL) < 10);
				for(w = 0; w < 1000000; w++);
				lcd_touchCalibrate();
				while(lcd_touchPoint(NULL, NULL) > 0);

				printf("Ok\n");
			}
		}
	}

	return(0);
}

