//
//  rtc.h	Interrupt base Real time clock
//  Copyright(C)2013-2014 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//    Update history
//    ---------- ----- -------------------------------------------
//    2013.05.22 v0.0  First cording
//    2014.03.05 v0.1  gettimeofday()
//
//

#ifndef RTC_H_
#define RTC_H_
#include <time.h>

//	Global area
extern volatile time_t	rtc_time;

//
//	API
//
void rtc_open(void);
void rtc_close(void);
//
// unix system call
//
// #include <time.h>
// time_t	time(time_t *t);
//
// #include <sys/time.h>
// int	settimeofday(const struct timeval *tv, const struct timezone *tz);
// int	gettimeofday(struct timeval *tp, void *tzp);
//

#endif /* RTC_H_ */
