/**
  ******************************************************************************
  * @file    stm32f40x_it.h
  * @author  MCD Application Team
  * @version V1.0.0+
  * @date    28-October-2011, 4-April-2013(Update t.togashi)
  * @brief   This file contains the headers of the interrupt handlers.
  ******************************************************************************
  * @attention
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
  *
  * <h2><center>&copy; COPYRIGHT 2011 STMicroelectronics</center></h2>
  ******************************************************************************
  */ 

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __STM32F40x_IT_H
#define __STM32F40x_IT_H

#ifdef __cplusplus
 extern "C" {
#endif 

/* Includes ------------------------------------------------------------------*/
#include "stm32f4xx.h"

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */

#ifdef DEL
void	Reset_Handler(void);
void	NMI_Handler(void);
void	HardFault_Handler(void);
void	MemManage_Handler(void);
void	BusFault_Handler(void);
void	UsageFault_Handler(void);
void	SVC_Handler(void);
void	DebugMon_Handler(void);
void	PendSV_Handler(void);
void	SysTick_Handler(void);
/*ExternalInterrupts*/
void	WWDG_IRQHandler(void);
void	PVD_IRQHandler(void);
void	TAMP_STAMP_IRQHandler(void);
void	RTC_WKUP_IRQHandler(void);
void	FLASH_IRQHandler(void);
void	RCC_IRQHandler(void);
void	EXTI0_IRQHandler(void);
void	EXTI1_IRQHandler(void);
void	EXTI2_IRQHandler(void);
void	EXTI3_IRQHandler(void);
void	EXTI4_IRQHandler(void);
void	DMA1_Stream0_IRQHandler(void);
void	DMA1_Stream1_IRQHandler(void);
void	DMA1_Stream2_IRQHandler(void);
void	DMA1_Stream3_IRQHandler(void);
void	DMA1_Stream4_IRQHandler(void);
void	DMA1_Stream5_IRQHandler(void);
void	DMA1_Stream6_IRQHandler(void);
void	ADC_IRQHandler(void);
void	CAN1_TX_IRQHandler(void);
void	CAN1_RX0_IRQHandler(void);
void	CAN1_RX1_IRQHandler(void);
void	CAN1_SCE_IRQHandler(void);
void	EXTI9_5_IRQHandler(void);
void	TIM1_BRK_TIM9_IRQHandler(void);
void	TIM1_UP_TIM10_IRQHandler(void);
void	TIM1_TRG_COM_TIM11_IRQHandler(void);
void	TIM1_CC_IRQHandler(void);
void	TIM2_IRQHandler(void);
void	TIM3_IRQHandler(void);
void	TIM4_IRQHandler(void);
void	I2C1_EV_IRQHandler(void);
void	I2C1_ER_IRQHandler(void);
void	I2C2_EV_IRQHandler(void);
void	I2C2_ER_IRQHandler(void);
void	SPI1_IRQHandler(void);
void	SPI2_IRQHandler(void);
void	USART1_IRQHandler(void);
void	USART2_IRQHandler(void);
void	USART3_IRQHandler(void);
void	EXTI15_10_IRQHandler(void);
void	RTC_Alarm_IRQHandler(void);
void	OTG_FS_WKUP_IRQHandler(void);
void	TIM8_BRK_TIM12_IRQHandler(void);
void	TIM8_UP_TIM13_IRQHandler(void);
void	TIM8_TRG_COM_TIM14_IRQHandler(void);
void	TIM8_CC_IRQHandler(void);
void	DMA1_Stream7_IRQHandler(void);
void	FSMC_IRQHandler(void);
void	SDIO_IRQHandler(void);
void	TIM5_IRQHandler(void);
void	SPI3_IRQHandler(void);
void	UART4_IRQHandler(void);
void	UART5_IRQHandler(void);
void	TIM6_DAC_IRQHandler(void);
void	TIM7_IRQHandler(void);
void	DMA2_Stream0_IRQHandler(void);
void	DMA2_Stream1_IRQHandler(void);
void	DMA2_Stream2_IRQHandler(void);
void	DMA2_Stream3_IRQHandler(void);
void	DMA2_Stream4_IRQHandler(void);
void	ETH_IRQHandler(void);
void	ETH_WKUP_IRQHandler(void);
void	CAN2_TX_IRQHandler(void);
void	CAN2_RX0_IRQHandler(void);
void	CAN2_RX1_IRQHandler(void);
void	CAN2_SCE_IRQHandler(void);
void	OTG_FS_IRQHandler(void);
void	DMA2_Stream5_IRQHandler(void);
void	DMA2_Stream6_IRQHandler(void);
void	DMA2_Stream7_IRQHandler(void);
void	USART6_IRQHandler(void);
void	I2C3_EV_IRQHandler(void);
void	I2C3_ER_IRQHandler(void);
void	OTG_HS_EP1_OUT_IRQHandler(void);
void	OTG_HS_EP1_IN_IRQHandler(void);
void	OTG_HS_WKUP_IRQHandler(void);
void	OTG_HS_IRQHandler(void);
void	DCMI_IRQHandler(void);
void	CRYP_IRQHandler(void);
void	HASH_RNG_IRQHandler(void);
void	FPU_IRQHandler(void);
#endif

#ifdef __cplusplus
}
#endif

#endif /* __STM32F40x_IT_H */

/******************* (C) COPYRIGHT 2011 STMicroelectronics *****END OF FILE****/
